Subject: bug#48097:

From: Andrea Corallo <[email-masked]>
Date: Thu, 29 Apr 2021 14:26:50 +0000

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> Date: Thu, 29 Apr 2021 12:17:43 +0000
>> From:  Andrea Corallo via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Alex Bennée <[email-masked]> writes:
>> 
>> > I suspect this might be a duplicate of #48061 - re-building with the current master the bug has gone away and problems
>> > with c-mode cause by strange code would certainly explain it.
>> 
>> Hi Alex,
>> 
>> okay shall we close this then?
>
> Please don't close yet, I still see the problem.
>
> It is strange that Alex says bug#48061 should solve this: the fix for
> that bug changed comp-cstr.el, and I have that natively-compiled after
> that change.  Do I need to make sure other files are recompiled, for
> example the CC mode files?

Yes, all possibly miscompiled files should be recompiled so at least
"cc-engine.el" were we know for sure `c-determine-limit-no-macro' was
miscompiled.  If the eln corresponding to "cc-engine.el" is in your
"~/.emacs.d/eln-cache" it's probably still the broken one, in this case
should be sufficient remove it and restart Emacs.

  Andrea